Error de configuración por culpa del Kernel Linux 3.2.0-24 al actualizar Ubuntu a 12.04

Imagen de melchor629
0 puntos

Como el título tan grande que he puesto dice, mi ubuntu tiene un serio problema cada vez que instalo, actualizo o desinstalo algun paquete, siempre me sale este error al final:
Entra en el mensaje para verlo completo...

Configurando linux-image-3.2.0-24-generic (3.2.0-24.37) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 3.2.0-24-generic /boot/vmlinuz-3.2.0-24-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.2.0-24-generic /boot/vmlinuz-3.2.0-24-generic
update-initramfs: Generating /boot/initrd.img-3.2.0-24-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.2.0-24-generic /boot/vmlinuz-3.2.0-24-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.2.0-24-generic /boot/vmlinuz-3.2.0-24-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.2.0-24-generic /boot/vmlinuz-3.2.0-24-generic
: not foundrub-mkconfig: 5: /etc/default/grub: 
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 127
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-3.2.0-24-generic.postinst line 1010.
dpkg: error al procesar linux-image-3.2.0-24-generic (--configure):
 el subproceso instalado el script post-installation devolvió el código de salida de error 2
dpkg: problemas de dependencias impiden la configuración de linux-image-generic:
 linux-image-generic depende de linux-image-3.2.0-24-generic; sin embargo:
 El paquete `linux-image-3.2.0-24-generic' no está configurado todavía.
dpkg: error al procesar linux-image-generic (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de linux-image:
 linux-image depende de linux-image-generic (= 3.2.0.24.26); sin embargo:
 El paquete `linux-image-generic' no está configurado todavía.
dpkg: error al procesar linux-image (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de linux:
 linux depende de linux-image (= 3.2.0.24.26); sin embargo:
 El paquete `linux-image' no está configurado todavía.
dpkg: error al procesar linux (--configure):
 problemas de dependencias - se deja sin configurar
Configurando friendly-recovery (0.2.25) ...
No se escribió un informe «apport» porque el mensaje de error indica que es un mensaje de error asociado a un fallo previo.
                                           No se escribió un informe «apport» porque el mensaje de error indica que es un mensaje de error asociado a un fallo previo.
      No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
: not found    /usr/sbin/grub-mkconfig: 5: /etc/default/grub: 
dpkg: error al procesar friendly-recovery (--configure):
 el subproceso instalado el script post-installation devolvió el código de salida de error 127
No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
         Configurando memtest86+ (4.20-1.1ubuntu1) ...
: not foundrub-mkconfig: 5: /etc/default/grub: 
dpkg: error al procesar memtest86+ (--configure):
 el subproceso instalado el script post-installation devolvió el código de salida de error 127
No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
         dpkg: problemas de dependencias impiden la configuración de ubuntu-standard:
 ubuntu-standard depende de memtest86+; sin embargo:
 El paquete `memtest86+' no está configurado todavía.
dpkg: error al procesar ubuntu-standard (--configure):
 problemas de dependencias - se deja sin configurar
No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
         Configurando grub-pc (1.99-21ubuntu3) ...
: not foundkg/info/grub-pc.config: 5: /etc/default/grub: 
dpkg: error al procesar grub-pc (--configure):
 el subproceso instalado el script post-installation devolvió el código de salida de error 127
No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
         Configurando libglade2.0-cil (2.12.10-2ubuntu4) ...
sh: 1: Syntax error: EOF in backquote substitution
W: removing assembly: * Assertion at class.c:5393, condition `class->field.count == 0' not met failed!

Native stacktrace:

	/usr/bin/mono() [0x4916ba]
	/lib/x86_64-linux-gnu/libpthread.so.0(+0xfcb0) [0x7fa77d4c5cb0]
	/lib/x86_64-linux-gnu/libc.so.6(gsignal+0x35) [0x7fa77d12f445]
	/lib/x86_64-linux-gnu/libc.so.6(abort+0x17b) [0x7fa77d132bab]
	/usr/bin/mono() [0x5ca01f]
	/usr/bin/mono() [0x5ca146]
	/usr/bin/mono() [0x4f875c]
	/usr/bin/mono(mono_class_get_full+0xfd) [0x4f8ead]
	/usr/bin/mono(mono_class_from_name+0xfd) [0x4f90bd]
	/usr/bin/mono() [0x50bba7]
	/usr/bin/mono() [0x41c87b]
	/usr/bin/mono(mono_main+0x294) [0x46c2d4]
	/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xed) [0x7fa77d11a76d]
	/usr/bin/mono() [0x414ef9]

Debug info from gdb:


Native stacktrace:

	/usr/bin/mono() [0x4916ba]
	/lib/x86_64-linux-gnu/libpthread.so.0(+0xfcb0) [0x7f1aeff2bcb0]
	/lib/x86_64-linux-gnu/libc.so.6(gsignal+0x35) [0x7f1aefb95445]
	/lib/x86_64-linux-gnu/libc.so.6(abort+0x17b) [0x7f1aefb98bab]
	/usr/bin/mono() [0x5ca01f]
	/usr/bin/mono() [0x5ca146]
	/usr/bin/mono() [0x4f875c]
	/usr/bin/mono(mono_class_get_full+0xfd) [0x4f8ead]
	/usr/bin/mono(mono_class_from_name+0xfd) [0x4f90bd]
	/usr/bin/mono() [0x50bba7]
	/usr/bin/mono() [0x41c87b]
	/usr/bin/mono(mono_main+0x294) [0x46c2d4]
	/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xed) [0x7f1aefb8076d]
	/usr/bin/mono() [0x414ef9]

Debug info from gdb:

[Depuración de hilo usando libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
0x00007f1aeff2ad10 in __read_nocancel () from /lib/x86_64-linux-gnu/libpthread.so.0
  Id   Target Id         Frame 
* 1    Thread 0x7f1af0a3a740 (LWP 15999) "mono" 0x00007f1aeff2ad10 in __read_nocancel () from /lib/x86_64-linux-gnu/libpthread.so.0

Hilo 1 (Thread 0x7f1af0a3a740 (LWP 15999)):
#0  0x00007f1aeff2ad10 in __read_nocancel () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x000000000049185e in ?? ()
#2  
#3  0x00007f1aefb95445 in raise () from /lib/x86_64-linux-gnu/libc.so.6
#4  0x00007f1aefb98bab in abort () from /lib/x86_64-linux-gnu/libc.so.6
#5  0x00000000005ca01f in ?? ()
#6  0x00000000005ca146 in ?? ()
#7  0x00000000004f875c in ?? ()
#8  0x00000000004f8ead in mono_class_get_full ()
#9  0x00000000004f90bd in mono_class_from_name ()
#10 0x000000000050bba7 in ?? ()
#11 0x000000000041c87b in ?? ()
#12 0x000000000046c2d4 in mono_main ()
#13 0x00007f1aefb8076d in __libc_start_main () from /lib/x86_64-linux-gnu/libc.so.6
#14 0x0000000000414ef9 in ?? ()
#15 0x00007fffe30e3598 in ?? ()
#16 0x000000000000001c in ?? ()
#17 0x0000000000000004 in ?? ()
#18 0x00007fffe30e57af in ?? ()
#19 0x00007fffe30e57bd in ?? ()
#20 0x00007fffe30e57db in ?? ()
#21 0x00007fffe30e57de in ?? ()
#22 0x0000000000000000 in ?? ()
[Depuración de hilo usando libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
0x00007fa77d4c4d10 in __read_nocancel () from /lib/x86_64-linux-gnu/libpthread.so.0
  Id   Target Id         Frame 
* 1    Thread 0x7fa77dfd4740 (LWP 15997) "mono" 0x00007fa77d4c4d10 in __read_nocancel () from /lib/x86_64-linux-gnu/libpthread.so.0

Hilo 1 (Thread 0x7fa77dfd4740 (LWP 15997)):
#0  0x00007fa77d4c4d10 in __read_nocancel () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x000000000049185e in ?? ()
#2  
#3  0x00007fa77d12f445 in raise () from /lib/x86_64-linux-gnu/libc.so.6
#4  0x00007fa77d132bab in abort () from /lib/x86_64-linux-gnu/libc.so.6
#5  0x00000000005ca01f in ?? ()
#6  0x00000000005ca146 in ?? ()
#7  0x00000000004f875c in ?? ()
#8  0x00000000004f8ead in mono_class_get_full ()
#9  0x00000000004f90bd in mono_class_from_name ()
#10 0x000000000050bba7 in ?? ()
#11 0x000000000041c87b in ?? ()
#12 0x000000000046c2d4 in mono_main ()
#13 0x00007fa77d11a76d in __libc_start_main () from /lib/x86_64-linux-gnu/libc.so.6
#14 0x0000000000414ef9 in ?? ()
#15 0x00007fffddeaa938 in ?? ()
#16 0x000000000000001c in ?? ()
#17 0x0000000000000003 in ?? ()
#18 0x00007fffddeac7b9 in ?? ()
#19 0x00007fffddeac7c7 in ?? ()
#20 0x00007fffddeac7ef in ?? ()
#21 0x0000000000000000 in ?? ()

=================================================================
Got a SIGABRT while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================


=================================================================
Got a SIGABRT while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================

Aborted (core dumped)
Aborted (core dumped)
E: installing Assembly /usr/share/cli-common/policies.d/libglade2.0-cil/policy.2.8.glade-sharp.dll failed
E: Installation of policy.2.8.glade-sharp with /usr/share/cli-common/runtimes.d/mono failed
dpkg: error al procesar libglade2.0-cil (--configure):
 el subproceso instalado el script post-installation devolvió el código de salida de error 1
No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
         dpkg: problemas de dependencias impiden la configuración de linux-generic:
 linux-generic depende de linux-image-generic (= 3.2.0.24.26); sin embargo:
 El paquete `linux-image-generic' no está configurado todavía.
dpkg: error al procesar linux-generic (--configure):
 problemas de dependencias - se deja sin configurar
No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
         dpkg: problemas de dependencias impiden la configuración de sysinfo:
 sysinfo depende de libglade2.0-cil (>= 2.12.10-1ubuntu1); sin embargo:
 El paquete `libglade2.0-cil' no está configurado todavía.
dpkg: error al procesar sysinfo (--configure):
 problemas de dependencias - se deja sin configurar
No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
Procesando disparadores para libc-bin ...
ldconfig deferred processing now taking place
Procesando disparadores para menu ...
Se encontraron errores al procesar:
 linux-image-3.2.0-24-generic
 linux-image-generic
 linux-image
 linux
 friendly-recovery
 memtest86+
 ubuntu-standard
 grub-pc
 libglade2.0-cil
 linux-generic
 sysinfo
E: Sub-process /usr/bin/dpkg returned an error code (1)

Alguien me podria ayudar a solucionar esto, que ya estoy harto de que siempre aparezca y vaya tan lento las instalaciones por esto. Gracias de antemano ^^
No se si este tema va aquí exactamente, pero como soy nuevo, si no es aquí, muévanlo donde toque.